# Generated by Django 3.0.3 on 2021-04-07 20:21

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ('api', '0030_auto_20210329_1755'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserCertificationInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='真实姓名')),
                ('card', models.CharField(max_length=128, verbose_name='身份证号码')),
                ('addr', models.CharField(max_length=128, verbose_name='居住地')),
                ('mobile', models.BigIntegerField(unique=True, verbose_name='手机号码')),
                ('status', models.SmallIntegerField(choices=[(0, '审核中'), (1, '审核成功'), (2, '审核失败')], default=0,
                                                    verbose_name='审核状态')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('user_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL,
                                              verbose_name='用户ID')),
            ],
            options={
                'verbose_name': '用户认证信息',
                'verbose_name_plural': '用户认证信息',
            },
        ),
        migrations.CreateModel(
            name='CertificationInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('certification_url', models.CharField(blank=True, max_length=128, verbose_name='认证URL')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('user_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL,
                                              verbose_name='用户ID')),
            ],
            options={
                'verbose_name': '身份证截图',
                'verbose_name_plural': '身份证截图',
            },
        ),
        migrations.AddIndex(
            model_name='usercertificationinfo',
            index=models.Index(fields=['card'], name='api_usercer_card_246743_idx'),
        ),
    ]
